package org.hisrc.hifaces20.tools.servlet;

import java.io.IOException;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class EchoServlet extends HttpServlet {

	private static final long serialVersionUID = -798338593417122694L;
	private static final String ECHO_PARAMETER_NAME = "ECHO"; //$NON-NLS-1$

	@Override
	protected void service(final HttpServletRequest request,
			final HttpServletResponse response) throws IOException {

		final String echoValue = request.getParameter(ECHO_PARAMETER_NAME);

		if (echoValue != null) {
			response.getWriter().print(echoValue);
		}

	}
}
